Bug 498242 - QEMU threads should share the same I/O context
QEMU threads should share the same I/O context
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On: 509702
Blocks: F12VirtTarget
  Show dependency treegraph
 
Reported: 2009-04-29 11:06 EDT by Daniel Berrange
Modified: 2011-06-27 10:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:11:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2009-04-29 11:06:49 EDT
Description of problem:
We want to use ionice to control QEMU's  I/O priority per process. By default (I believe) each thread will get separate I/O context, so we need to set CLONE_IO for each thread QEMU spawns, so the entire process shares an I/O context. 

Version-Release number of selected component (if applicable):
qemu-0.10-12.fc11.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Glauber Costa 2009-04-29 17:17:34 EDT
what happens, then, to people who want to do per-thread/vcpu prioritization?

Can't we default to the current scheme, and then group the threads via cgroups or something like it?
Comment 2 Daniel Berrange 2009-04-30 06:47:04 EDT
Does it make any sense to do I/O prioritization on a per-thread/vcpu basis though ? It doesn't seem like you would/could associate I/O ops on a per guest vcpu basis ? And AFAIK, taking the CLONE_IO approach doesn't prevent CPU scheduler prioritization of individuals vCPU/threads.
Comment 4 Fedora Admin XMLRPC Client 2009-05-07 08:12:36 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2009-05-07 08:13:39 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2009-05-07 08:14:06 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2009-05-07 13:58:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Mark McLoughlin 2009-08-07 06:51:01 EDT
Note: bug #509702 is requesting support for CLONE_IO in glibc; Uli suggests that it might make sense for CLONE_IO to be the default
Comment 9 Mark McLoughlin 2009-09-04 08:32:22 EDT
Further update in bug #509702 - Uli suggests that this should a process-wide attribute configurable with prctl()
Comment 10 Fedora Admin XMLRPC Client 2010-03-09 11:54:20 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2010-03-09 12:20:00 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Justin M. Forbes 2010-03-11 13:41:43 EST
Is this still needed?
Comment 13 Bug Zapper 2010-03-15 08:35:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2011-06-02 14:07:16 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2011-06-27 10:11:11 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.